# template: default
%global gem_name sentry-raven

Name: rubygem-%{gem_name}
Version: 3.1.2
Release: 1%{?dist}
Summary: A gem that provides a client interface for the Sentry error logger
License: Apache-2.0
URL: https://github.com/getsentry/raven-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby >= 2.3
BuildRequires: ruby >= 2.3
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
A gem that provides a client interface for the Sentry error logger.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%files
%dir %{gem_instdir}
%{_bindir}/raven
%exclude %{gem_instdir}/.craft.yml
%exclude %{gem_instdir}/.scripts
%license %{gem_instdir}/LICENSE
%exclude %{gem_instdir}/Makefile
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%exclude %{gem_instdir}/sentry-raven.gemspec

%changelog
* Thu Jul 14 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> 3.1.2-1
- Update to 3.1.2

* Tue Apr 06 2021 Eric D. Helms <ericdhelms@gmail.com> - 2.12.3-2
- Rebuild for Ruby 2.7

* Fri Nov 15 2019 Dirk Goetz 2.12.3-1
- Add rubygem-sentry-raven generated by gem2rpm using the scl template

